path: /build/build/gexiv2-media-libs-0.14.3.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - cd /var/git/meta-repo/kits/gnome-kit/media-libs/gexiv2 && rm Manifest && wget
    https://raw.githubusercontent.com/macaroni-os/gnome-kit/refs/heads/mark-unstable/media-libs/gexiv2/gexiv2-0.14.3.ebuild
    && ebuild gexiv2-0.14.3.ebuild digest && cd -
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-gtk-doc -python_targets_python3_10 -python_targets_python3_7 -python_targets_python3_8 -test introspection python_targets_python3_9 vala" emerge media-libs/gexiv2 -pv -t && \
    USE="-gtk-doc -python_targets_python3_10 -python_targets_python3_7 -python_targets_python3_8 -test introspection python_targets_python3_9 vala" emerge -j ${JOBS} --nodeps media-libs/gexiv2 && \
    export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && \
    export LUET_PORTAGE_IGNORE_TAR_WARNING=1 && \
    export LUET_PORTAGE_PKGMETA=1 && \
    export LUET_PORTAGE_PKGFILES=1 && \
    eval 'rm -rf /pkgdir/ || true' && mkdir -p /pkgdir/gexiv2 && \
    luet-portage --dir /pkgdir/gexiv2 media-libs/gexiv2 && \
    eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/* || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/anise-macaroni-funtoo-dev-tree:d2a9ffe6fe03ae05762c95d968025a77383f4ca9e31e6ea360eb8744e7305672
  package:
    name: gexiv2
    version: 0.14.3
    category: media-libs
    use_flags:
    - -gtk-doc
    - -python_targets_python3_10
    - -python_targets_python3_7
    - -python_targets_python3_8
    - -test
    - introspection
    - python_targets_python3_9
    - vala
    requires:
    - name: tracker
      version: '>=0'
      category: app-misc
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: GObject-based wrapper around the Exiv2 library
    uri:
    - https://wiki.gnome.org/Projects/gexiv2
    license: LGPL-2.1
    buildtimestamp: 2025-05-14 13:27:19.156867906 +0000 UTC m=+86.873497844
    labels:
      DEPEND: python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_python3_7?
        ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 )
        python_targets_python3_8? ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
        >=dev-libs/glib-2.62.2:2 >=media-gfx/exiv2-0.21:0= introspection? ( >=dev-libs/gobject-introspection-1.62.0:=
        ) virtual/pkgconfig gtk-doc? ( dev-util/gtk-doc ) test? ( dev-python/pygobject:3
        media-gfx/exiv2[xmp] ) vala? ( || ( dev-lang/vala:0.54 dev-lang/vala:0.52
        dev-lang/vala:0.50 dev-lang/vala:0.48 dev-lang/vala:0.46 dev-lang/vala:0.44
        dev-lang/vala:0.42 dev-lang/vala:0.40 dev-lang/vala:0.36 ) ) >=dev-util/meson-0.48.2
        >=dev-util/ninja-1.7.2
      IUSE: gtk-doc +introspection python static-libs test +vala python_targets_python3_10
        python_targets_python3_7 python_targets_python3_9 python_targets_python3_8
      RDEPEND: python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_python3_7?
        ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 )
        python_targets_python3_8? ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
        >=dev-libs/glib-2.62.2:2 >=media-gfx/exiv2-0.21:0= introspection? ( >=dev-libs/gobject-introspection-1.62.0:=
        )
      emerge.packages: media-libs/gexiv2
      kit: gnome-kit
      original.package.name: media-libs/gexiv2
      original.package.slot: "0"
      original.package.version: 0.14.3
    treedir: /build/packages
  package_dir: /pkgdir/gexiv2
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/anise-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 218a2fc0b8fdeeff4596408523d3f07df40ad78e6a0a02c146841595c6f1390d
compressiontype: zstd
files:
- usr/include/gexiv2/gexiv2-enums.h
- usr/include/gexiv2/gexiv2-log.h
- usr/include/gexiv2/gexiv2-managed-stream.h
- usr/include/gexiv2/gexiv2-metadata.h
- usr/include/gexiv2/gexiv2-preview-image.h
- usr/include/gexiv2/gexiv2-preview-properties.h
- usr/include/gexiv2/gexiv2-startup.h
- usr/include/gexiv2/gexiv2-version.h
- usr/include/gexiv2/gexiv2.h
- usr/lib/python3.9/site-packages/gi/overrides/GExiv2.py
- usr/lib/python3.9/site-packages/gi/overrides/__pycache__/GExiv2.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/gi/overrides/__pycache__/GExiv2.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/gi/overrides/__pycache__/GExiv2.cpython-39.pyc
- usr/lib64/girepository-1.0/GExiv2-0.10.typelib
- usr/lib64/libgexiv2.so
- usr/lib64/libgexiv2.so.2
- usr/lib64/libgexiv2.so.2.14.3
- usr/lib64/pkgconfig/gexiv2.pc
- usr/share/doc/gexiv2-0.14.3/AUTHORS
- usr/share/doc/gexiv2-0.14.3/NEWS.bz2
- usr/share/doc/gexiv2-0.14.3/README.md.bz2
- usr/share/doc/gexiv2-0.14.3/THANKS.bz2
- usr/share/gir-1.0/GExiv2-0.10.gir
- usr/share/vala/vapi/gexiv2.deps
- usr/share/vala/vapi/gexiv2.vapi
- var/db/pkg/media-libs/gexiv2-0.14.3/BDEPEND
- var/db/pkg/media-libs/gexiv2-0.14.3/BUILD_TIME
- var/db/pkg/media-libs/gexiv2-0.14.3/CATEGORY
- var/db/pkg/media-libs/gexiv2-0.14.3/CBUILD
- var/db/pkg/media-libs/gexiv2-0.14.3/CFLAGS
- var/db/pkg/media-libs/gexiv2-0.14.3/CHOST
- var/db/pkg/media-libs/gexiv2-0.14.3/CONTENTS
- var/db/pkg/media-libs/gexiv2-0.14.3/COUNTER
- var/db/pkg/media-libs/gexiv2-0.14.3/CTARGET
- var/db/pkg/media-libs/gexiv2-0.14.3/CXX
- var/db/pkg/media-libs/gexiv2-0.14.3/CXXFLAGS
- var/db/pkg/media-libs/gexiv2-0.14.3/DEFINED_PHASES
- var/db/pkg/media-libs/gexiv2-0.14.3/DEPEND
- var/db/pkg/media-libs/gexiv2-0.14.3/DESCRIPTION
- var/db/pkg/media-libs/gexiv2-0.14.3/EAPI
- var/db/pkg/media-libs/gexiv2-0.14.3/FEATURES
- var/db/pkg/media-libs/gexiv2-0.14.3/HOMEPAGE
- var/db/pkg/media-libs/gexiv2-0.14.3/INHERITED
- var/db/pkg/media-libs/gexiv2-0.14.3/IUSE
- var/db/pkg/media-libs/gexiv2-0.14.3/IUSE_EFFECTIVE
- var/db/pkg/media-libs/gexiv2-0.14.3/KEYWORDS
- var/db/pkg/media-libs/gexiv2-0.14.3/LDFLAGS
- var/db/pkg/media-libs/gexiv2-0.14.3/LICENSE
- var/db/pkg/media-libs/gexiv2-0.14.3/NEEDED
- var/db/pkg/media-libs/gexiv2-0.14.3/NEEDED.ELF.2
- var/db/pkg/media-libs/gexiv2-0.14.3/PF
- var/db/pkg/media-libs/gexiv2-0.14.3/PROVIDES
- var/db/pkg/media-libs/gexiv2-0.14.3/RDEPEND
- var/db/pkg/media-libs/gexiv2-0.14.3/REQUIRES
- var/db/pkg/media-libs/gexiv2-0.14.3/SIZE
- var/db/pkg/media-libs/gexiv2-0.14.3/SLOT
- var/db/pkg/media-libs/gexiv2-0.14.3/USE
- var/db/pkg/media-libs/gexiv2-0.14.3/environment.bz2
- var/db/pkg/media-libs/gexiv2-0.14.3/gexiv2-0.14.3.ebuild
- var/db/pkg/media-libs/gexiv2-0.14.3/repository
package_cacheimage: ""
runtime:
  name: gexiv2
  version: 0.14.3
  category: media-libs
  use_flags:
  - -gtk-doc
  - -python_targets_python3_10
  - -python_targets_python3_7
  - -python_targets_python3_8
  - -test
  - introspection
  - python_targets_python3_9
  - vala
  requires:
  - name: gobject-introspection
    version: '>=0'
    category: dev-libs
  - name: exiv2
    version: '>=0'
    category: media-gfx
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: GObject-based wrapper around the Exiv2 library
  uri:
  - https://wiki.gnome.org/Projects/gexiv2
  license: LGPL-2.1
  labels:
    DEPEND: python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_python3_7?
      ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 ) python_targets_python3_8?
      ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      >=dev-libs/glib-2.62.2:2 >=media-gfx/exiv2-0.21:0= introspection? ( >=dev-libs/gobject-introspection-1.62.0:=
      ) virtual/pkgconfig gtk-doc? ( dev-util/gtk-doc ) test? ( dev-python/pygobject:3
      media-gfx/exiv2[xmp] ) vala? ( || ( dev-lang/vala:0.54 dev-lang/vala:0.52 dev-lang/vala:0.50
      dev-lang/vala:0.48 dev-lang/vala:0.46 dev-lang/vala:0.44 dev-lang/vala:0.42
      dev-lang/vala:0.40 dev-lang/vala:0.36 ) ) >=dev-util/meson-0.48.2 >=dev-util/ninja-1.7.2
    IUSE: gtk-doc +introspection python static-libs test +vala python_targets_python3_10
      python_targets_python3_7 python_targets_python3_9 python_targets_python3_8
    RDEPEND: python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_python3_7?
      ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 ) python_targets_python3_8?
      ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      >=dev-libs/glib-2.62.2:2 >=media-gfx/exiv2-0.21:0= introspection? ( >=dev-libs/gobject-introspection-1.62.0:=
      )
    emerge.packages: media-libs/gexiv2
    kit: gnome-kit
    original.package.name: media-libs/gexiv2
    original.package.slot: "0"
    original.package.version: 0.14.3
